Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.atlassian.bamboo.charts.utils
Class DurationFormat

    java.lang.Object
      java.text.Format
          java.text.DateFormat
              com.atlassian.bamboo.charts.utils.DurationFormat

All Implemented Interfaces:
  Serializable, Cloneable

    public class DurationFormat

extends DateFormat

See Also:
  Serialized Form

Nested Class Summary

Nested classes/interfaces inherited from class java.text.DateFormat
`DateFormat.Field`

Field Summary

Fields inherited from class java.text.DateFormat
`AM_PM_FIELD, calendar, DATE_FIELD, DAY_OF_WEEK_FIELD, DAY_OF_WEEK_IN_MONTH_FIELD, DAY_OF_YEAR_FIELD, DEFAULT, ERA_FIELD, FULL, HOUR_OF_DAY0_FIELD, HOUR_OF_DAY1_FIELD, HOUR0_FIELD, HOUR1_FIELD, LONG, MEDIUM, MILLISECOND_FIELD, MINUTE_FIELD, MONTH_FIELD, numberFormat, SECOND_FIELD, SHORT, TIMEZONE_FIELD, WEEK_OF_MONTH_FIELD, WEEK_OF_YEAR_FIELD, YEAR_FIELD`

Constructor Summary
`DurationFormat()`
`DurationFormat(NumberFormat dayFormat, NumberFormat hourFormat, NumberFormat minuteFormat, NumberFormat secondFormat)`

Method Summary
`StringBuffer` | `format(Date date, StringBuffer stringBuffer, FieldPosition fieldPosition)`
`Date` | `parse(String string, ParsePosition parsePosition)`
`void` | `setDayFormat(NumberFormat dayFormat)`
`void` | `setHourFormat(NumberFormat hourFormat)`
`void` | `setMinuteFormat(NumberFormat minuteFormat)`
`void` | `setSecondFormat(NumberFormat secondFormat)`
`void` | `setShowZeroDay(boolean showZeroDay)`
`void` | `setShowZeroHour(boolean showZeroHour)`
`void` | `setShowZeroMinute(boolean showZeroMinute)`
`void` | `setShowZeroSecond(boolean showZeroSecond)`

Methods inherited from class java.text.DateFormat
`clone, equals, format, format, getAvailableLocales, getCalendar, getDateInstance, getDateInstance, getDateInstance, getDateTimeInstance, getDateTimeInstance, getDateTimeInstance, getInstance, getNumberFormat, getTimeInstance, getTimeInstance, getTimeInstance, getTimeZone, hashCode, isLenient, parse, parseObject, setCalendar, setLenient, setNumberFormat, setTimeZone`

Methods inherited from class java.text.Format
`format, formatToCharacterIterator, parseObject`

Methods inherited from class java.lang.Object
`finalize, getClass, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### DurationFormat

    public DurationFormat()

### DurationFormat

    public DurationFormat(NumberFormat dayFormat,
                          NumberFormat hourFormat,
                          NumberFormat minuteFormat,
                          NumberFormat secondFormat)

Method Detail

### format

    public StringBuffer format(Date date,
                               StringBuffer stringBuffer,
                               FieldPosition fieldPosition)

  Specified by:
    `format` in class `DateFormat`

### parse

    public Date parse(String string,
                      ParsePosition parsePosition)

  Specified by:
    `parse` in class `DateFormat`

### setDayFormat

    public void setDayFormat(NumberFormat dayFormat)

### setHourFormat

    public void setHourFormat(NumberFormat hourFormat)

### setMinuteFormat

    public void setMinuteFormat(NumberFormat minuteFormat)

### setSecondFormat

    public void setSecondFormat(NumberFormat secondFormat)

### setShowZeroDay

    public void setShowZeroDay(boolean showZeroDay)

### setShowZeroHour

    public void setShowZeroHour(boolean showZeroHour)

### setShowZeroMinute

    public void setShowZeroMinute(boolean showZeroMinute)

### setShowZeroSecond

    public void setShowZeroSecond(boolean showZeroSecond)

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2006 Atlassian Software Systems. All Rights Reserved.